package ru.yandex.webmaster3.viewer.http.searchurl.memorandum;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;

/**
 * @author avhaliullin
 */
public class HostMemorandumInfoResponse implements ActionResponse {
    private final long totalMemorandumBannedUrls;

    public HostMemorandumInfoResponse(long totalMemorandumBannedUrls) {
        this.totalMemorandumBannedUrls = totalMemorandumBannedUrls;
    }

    @Description("Количество забаненых урлов (всего, а не примеров)")
    public long getTotalMemorandumBannedUrls() {
        return totalMemorandumBannedUrls;
    }

    @Override
    public ActionStatus getRequestStatus() {
        return ActionStatus.SUCCESS;
    }
}
